Bug 125468 - Can't set identity when redirecting mail
Summary: Can't set identity when redirecting mail
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-13 04:13 UTC by Tristan Miller
Modified: 2012-08-02 08:04 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tristan Miller 2006-04-13 04:13:58 UTC
Version:            (using KDE KDE 3.5.2)
Installed from:    SuSE RPMs

The Redirect message function (Message->Forward->Redirect) always uses the default identity.  Please allow the user to select the identity used so that the appropriate name and e-mail address appear in the Resent-From header.
Comment 1 Jonathan Marten 2006-10-28 17:00:48 UTC
KDE bugs day: confirmed, marking as wishlist
Comment 2 Yuriy Kozlov 2007-02-20 22:42:41 UTC
According to https://launchpad.net/kdepim/+bug/46106/ this isn't just a wishlist, but there's another problem involved where you CAN change the identity but it doesn't work.
Comment 3 Tristan Miller 2009-04-25 23:13:12 UTC
Feature still missing as of KDE 4.2.2.
Comment 4 Lawrence R. Steeger 2010-08-30 15:40:35 UTC
As of KMail Version 1.12.4 using KDE 4.3.5, the use of Identity
is definitely inadequately implemented and downright misleading.
Comment 5 Laurent Montel 2012-08-02 08:04:54 UTC
Git commit 6deca8799e59cd8db52609f2d1c32556df85b0e0 by Montel Laurent.
Committed on 02/08/2012 at 10:04.
Pushed by mlaurent into branch 'master'.

Fix Bug 125468 - Can't set identity when redirecting mail

FIXED-IN: 4.10

M  +11   -8    kmail/kmcommands.cpp
M  +28   -0    mailcommon/redirectdialog.cpp
M  +4    -0    mailcommon/redirectdialog.h
M  +7    -5    messagecomposer/messagefactory.cpp
M  +1    -1    messagecomposer/messagefactory.h

http://commits.kde.org/kdepim/6deca8799e59cd8db52609f2d1c32556df85b0e0